For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
            • GETList Pages
            • POSTCreate Pages
            • PUTUpdate Pages
            • DELDelete Pages
            • GETGet Page
            • PUTUpdate Page
            • DELDelete Page
        • Marketing
        • Store Content
        • Themes
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentPages

Delete Page

DELETE
https://api.bigcommerce.com/stores/:store_hash/v3/content/pages/:pageId
DELETE
/stores/:store_hash/v3/content/pages/:pageId
$curl -X DELETE https://api.bigcommerce.com/stores/store_hash/v3/content/pages/pageId \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"

Deletes one content page.

Warning

Query parameters not recognized This endpoint does not recognize query parameters.

Was this page helpful?
Previous

Update Page

Next

Marketing

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

pageIdstringRequired
The ID of the page to be operated on.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

Response

No content. A 204 response with no payload indicates successful deletion of all specified pages.

Errors

404
Not Found Error